Loading...
Searching...
No Matches
juce::Slider::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide slider drawing functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/widgets/juce_Slider.h

Inheritance diagram for juce::Slider::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual void | drawLinearSlider (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderBackground (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderOutline (Graphics &, int x, int y, int width, int height, Slider::SliderStyle, Slider &)=0
virtual void | drawLinearSliderThumb (Graphics &, int x, int y, int width, int height, float sliderPos, float minSliderPos, float maxSliderPos, Slider::SliderStyle, Slider &)=0
virtual int | getSliderThumbRadius (Slider &)=0
virtual void | drawRotarySlider (Graphics &, int x, int y, int width, int height, float sliderPosProportional, float rotaryStartAngle, float rotaryEndAngle, Slider &)=0
virtual Button * | createSliderButton (Slider &, bool isIncrement)=0
virtual Label * | createSliderTextBox (Slider &)=0
virtual ImageEffectFilter * | getSliderEffect (Slider &)=0
virtual Font | getSliderPopupFont (Slider &)=0
virtual int | getSliderPopupPlacement (Slider &)=0
virtual SliderLayout | getSliderLayout (Slider &)=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::Slider::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## drawLinearSlider()

virtual void juce::Slider::LookAndFeelMethods::drawLinearSlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, juce::LookAndFeel_V3, and juce::LookAndFeel_V4.

References juce::Slider::Slider(), x, and y.

## drawLinearSliderBackground()

virtual void juce::Slider::LookAndFeelMethods::drawLinearSliderBackground | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V3.

References juce::Slider::Slider(), x, and y.

## drawLinearSliderOutline()

virtual void juce::Slider::LookAndFeelMethods::drawLinearSliderOutline | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | Slider::SliderStyle | ,
|  | Slider & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Slider::Slider(), x, and y.

## drawLinearSliderThumb()

virtual void juce::Slider::LookAndFeelMethods::drawLinearSliderThumb | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPos,
|  | float | minSliderPos,
|  | float | maxSliderPos,
|  | Slider::SliderStyle | ,
|  | Slider & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Slider::Slider(), x, and y.

## getSliderThumbRadius()

virtual int juce::Slider::LookAndFeelMethods::getSliderThumbRadius | ( | Slider & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V1, juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::Slider::Slider().

## drawRotarySlider()

virtual void juce::Slider::LookAndFeelMethods::drawRotarySlider | ( | Graphics & | ,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | float | sliderPosProportional,
|  | float | rotaryStartAngle,
|  | float | rotaryEndAngle,
|  | Slider & | )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::Slider::Slider(), x, and y.

## createSliderButton()

virtual Button * juce::Slider::LookAndFeelMethods::createSliderButton | ( | Slider & | ,
|  | bool | isIncrement )

pure virtual

Implemented in juce::LookAndFeel_V1, and juce::LookAndFeel_V2.

References juce::Slider::Slider().

## createSliderTextBox()

virtual Label * juce::Slider::LookAndFeelMethods::createSliderTextBox | ( | Slider & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V4.

References juce::Slider::Slider().

## getSliderEffect()

virtual ImageEffectFilter * juce::Slider::LookAndFeelMethods::getSliderEffect | ( | Slider & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V1, and juce::LookAndFeel_V2.

References juce::Slider::Slider().

## getSliderPopupFont()

virtual Font juce::Slider::LookAndFeelMethods::getSliderPopupFont | ( | Slider & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Slider::Slider().

## getSliderPopupPlacement()

virtual int juce::Slider::LookAndFeelMethods::getSliderPopupPlacement | ( | Slider & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Slider::Slider().

## getSliderLayout()

virtual SliderLayout juce::Slider::LookAndFeelMethods::getSliderLayout | ( | Slider & |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Slider::Slider().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited